
D4Science Infrastructure - Task #4735

Upgrade # 4319 (Completed): D4Science Infrastructure Upgrade to gCube 4.0

Upgrade # 4730 (Completed): Upgrade JackRabbit Repository

Change the owner of storage files according to Jackrabbit information

Jul 15, 2016 11:37 AM - Valentina Marioli

Status: Closed Start date: Jul 15, 2016

Priority: Normal Due date:  

Assignee: Valentina Marioli % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.0.0

  

Infrastructure: Production   

Description

Old files in Storage have a wrong owner. They have to be updated according to Jackrabbit information.

History

#1 - Jul 20, 2016 03:01 PM - Valentina Marioli

- Status changed from New to In Progress

#2 - Jul 21, 2016 02:26 PM - Valentina Marioli

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The metadata 'owner' of Storage has been updated according to Jackrabbit information. For 10.199 files the owner has been updated: for 1.136 of

these the owner was "home-library". The other files had a wrong owner because when a folder was unshared, the owner was updated to the admin

user only in Jackrabbit, not in Storage. In HL 2.4, this bug has been fixed.
